| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.LicenseUser Class Reference

Class that holds information about customer. More...

Inheritance diagram for LicenseSpring.LicenseUser:

## Public Member Functions
| LicenseUser ()
| LicenseUser default constructor.

## Properties
System.DateTime | AcquiredConsent`[get]`
| Date when consent was acquired.
System.DateTime | CreatedAt`[get]`
| Time when license user was created.
string | Email`[get, set]`
| Email of the user.
string | FirstName`[get, set]`
| First name of the user.
uint | Id`[get]`
| Id of the user which is automatically set by the LicenseSpring platform, cannot be manually set.
string | InitialPassword`[get]`
| Initial password of the user, can be empty if it wasn't set during the creation process.
bool | IsActive`[get]`
| Indicates if this is an active user.
bool | IsInitialPassword`[get]`
| Indicates if the user has/had an initial password.
bool | IsManager`[get, set]`
| Indicates if this user is also a license manager.
bool | IsNewUser`[get]`
| Indicates if this user is newly created.
bool | IsStaff`[get]`
| Indicates if this user is also a part of company staff.
System.DateTime | LastLogin`[get]`
| Time of last login.
string | LastName`[get, set]`
| Surname of the user.
string | Password`[get, set]`
| Password of the user, has to be set when assigning to a license.
string | PhoneNumber`[get, set]`
| Phone number of the user.
bool | SubscribedToEmail`[get]`
| Indicates if the user is subscribed to newsletter.
string | TrueEmail`[get, set]`
| True email of the user.
System.DateTime | UpdatedAt`[get]`
| Time of last update of the user information.
Properties inherited from LicenseSpring.ILicenseUser

## Detailed Description

Class that holds information about customer.

## Property Documentation

## ◆ AcquiredConsent

System.DateTime LicenseSpring.LicenseUser.AcquiredConsent
| get

Date when consent was acquired.

Implements LicenseSpring.ILicenseUser.

## ◆ CreatedAt

System.DateTime LicenseSpring.LicenseUser.CreatedAt
| get

Time when license user was created.

Implements LicenseSpring.ILicenseUser.

## ◆ Email

string LicenseSpring.LicenseUser.Email
| get set

Email of the user.

Implements LicenseSpring.ILicenseUser.

## ◆ FirstName

string LicenseSpring.LicenseUser.FirstName
| get set

First name of the user.

Implements LicenseSpring.ILicenseUser.

## ◆ Id

uint LicenseSpring.LicenseUser.Id
| get

Id of the user which is automatically set by the LicenseSpring platform, cannot be manually set.

Implements LicenseSpring.ILicenseUser.

## ◆ InitialPassword

string LicenseSpring.LicenseUser.InitialPassword
| get

Initial password of the user, can be empty if it wasn't set during the creation process.

Implements LicenseSpring.ILicenseUser.

## ◆ IsActive

bool LicenseSpring.LicenseUser.IsActive
| get

Indicates if this is an active user.

Implements LicenseSpring.ILicenseUser.

## ◆ IsInitialPassword

bool LicenseSpring.LicenseUser.IsInitialPassword
| get

Indicates if the user has/had an initial password.

Implements LicenseSpring.ILicenseUser.

## ◆ IsManager

bool LicenseSpring.LicenseUser.IsManager
| get set

Indicates if this user is also a license manager.

Implements LicenseSpring.ILicenseUser.

## ◆ IsNewUser

bool LicenseSpring.LicenseUser.IsNewUser
| get

Indicates if this user is newly created.

Implements LicenseSpring.ILicenseUser.

## ◆ IsStaff

bool LicenseSpring.LicenseUser.IsStaff
| get

Indicates if this user is also a part of company staff.

Implements LicenseSpring.ILicenseUser.

## ◆ LastLogin

System.DateTime LicenseSpring.LicenseUser.LastLogin
| get

Time of last login.

Implements LicenseSpring.ILicenseUser.

## ◆ LastName

string LicenseSpring.LicenseUser.LastName
| get set

Surname of the user.

Implements LicenseSpring.ILicenseUser.

## ◆ Password

string LicenseSpring.LicenseUser.Password
| get set

Password of the user, has to be set when assigning to a license.

Implements LicenseSpring.ILicenseUser.

## ◆ PhoneNumber

string LicenseSpring.LicenseUser.PhoneNumber
| get set

Phone number of the user.

Implements LicenseSpring.ILicenseUser.

## ◆ SubscribedToEmail

bool LicenseSpring.LicenseUser.SubscribedToEmail
| get

Indicates if the user is subscribed to newsletter.

Implements LicenseSpring.ILicenseUser.

## ◆ TrueEmail

string LicenseSpring.LicenseUser.TrueEmail
| get set

True email of the user.

Implements LicenseSpring.ILicenseUser.

## ◆ UpdatedAt

System.DateTime LicenseSpring.LicenseUser.UpdatedAt
| get

Time of last update of the user information.

Implements LicenseSpring.ILicenseUser.

The documentation for this class was generated from the following file:

- LicenseUser.cs